
Redmine - Feature #12970

Implement the "OR" operator in queries

2013-01-24 16:28 - Gurvan Le Dromaguet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

For some our projects we need to compute queries with a sequence of OR and AND conditions

for example: (Priority is High) OR (Priority is Normal AND Creation Date is older then a year)

but Redmine does not allow the combination of queries ie "OR".

It looks like it is implemented in "Trac": http://trac.edgewall.org/query, see the "OR" at the bottom right of the filters box

Related issues:

Is duplicate of Redmine - Feature #4939: List of tasks filtered as OR and not... New 2010-02-26

History

#1 - 2013-01-27 15:23 - Toshi MARUYAMA

Duplicate with #4939.

#2 - 2013-01-27 15:24 - Toshi MARUYAMA

- Status changed from New to Closed

#3 - 2013-02-03 23:22 - Jan Niggemann (redmine.org team member)

- Resolution set to Duplicate
